- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends

# QPaintEngineState Class Reference

Search for all occurrences

## Detailed Description

Definition at line 285 of file qpaintengine.h.

`#include <qpaintengine.h>`

List of all members.

## Public Member Functions
QPaintEngine::DirtyFlags | state () const
QPen | pen () const
QBrush | brush () const
QPointF | brushOrigin () const
QBrush | backgroundBrush () const
Qt::BGMode | backgroundMode () const
QFont | font () const
QMatrix | matrix () const
QTransform | transform () const
Qt::ClipOperation | clipOperation () const
QRegion | clipRegion () const
QPainterPath | clipPath () const
bool | isClipEnabled () const
QPainter::RenderHints | renderHints () const
QPainter::CompositionMode | compositionMode () const
qreal | opacity () const
QPainter * | painter () const
bool | brushNeedsResolving () const
bool | penNeedsResolving () const
## Protected Attributes
QPaintEngine::DirtyFlags | dirtyFlags
## Friends
class | QPaintEngine
class | QRasterPaintEngine
class | QWidget
class | QPainter
class | QPainterPrivate
class | QMacPrintEnginePrivate

## Member Function Documentation

QPaintEngine::DirtyFlags state | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 288 of file qpaintengine.h.

    { return dirtyFlags; }

QPen pen | ( |  | ) | const

Search for all occurrences

QBrush brush | ( |  | ) | const

Search for all occurrences

QPointF brushOrigin | ( |  | ) | const

Search for all occurrences

QBrush backgroundBrush | ( |  | ) | const

Search for all occurrences

Qt::BGMode backgroundMode | ( |  | ) | const

Search for all occurrences

QFont font | ( |  | ) | const

Search for all occurrences

QMatrix matrix | ( |  | ) | const

Search for all occurrences

QTransform transform | ( |  | ) | const

Search for all occurrences

Qt::ClipOperation clipOperation | ( |  | ) | const

Search for all occurrences

QRegion clipRegion | ( |  | ) | const

Search for all occurrences

QPainterPath clipPath | ( |  | ) | const

Search for all occurrences

bool isClipEnabled | ( |  | ) | const

Search for all occurrences

QPainter::RenderHints renderHints | ( |  | ) | const

Search for all occurrences

QPainter::CompositionMode compositionMode | ( |  | ) | const

Search for all occurrences

qreal opacity | ( |  | ) | const

Search for all occurrences

QPainter* painter | ( |  | ) | const

Search for all occurrences

bool brushNeedsResolving | ( |  | ) | const

Search for all occurrences

bool penNeedsResolving | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QPaintEngine `[friend]`

Search for all occurrences

Definition at line 314 of file qpaintengine.h.

friend class QRasterPaintEngine `[friend]`

Search for all occurrences

Definition at line 315 of file qpaintengine.h.

friend class QWidget `[friend]`

Search for all occurrences

Definition at line 316 of file qpaintengine.h.

friend class QPainter `[friend]`

Search for all occurrences

Definition at line 317 of file qpaintengine.h.

friend class QPainterPrivate `[friend]`

Search for all occurrences

Definition at line 318 of file qpaintengine.h.

friend class QMacPrintEnginePrivate `[friend]`

Search for all occurrences

Definition at line 319 of file qpaintengine.h.

## Member Data Documentation

QPaintEngine::DirtyFlags dirtyFlags `[protected]`

Search for all occurrences

Definition at line 321 of file qpaintengine.h.

The documentation for this class was generated from the following file:

- QtGui/qpaintengine.h

QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState
QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState QPaintEngineState